Maven Central Repository

devicemarketingnames

Overview

Marketing device name lookup library for Android.

Snippets

POM Files

<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <!-- This module was also published with a richer model, Gradle metadata,  -->
  <!-- which should be used instead. Do not delete the following line which  -->
  <!-- is to indicate to Gradle or any Gradle module metadata file consumer  -->
  <!-- that they should prefer consuming it instead. -->
  <!-- do_not_remove: published-with-gradle-metadata -->
  <modelVersion>4.0.0</modelVersion>
  <groupId>de.boehrsi</groupId>
  <artifactId>devicemarketingnames</artifactId>
  <version>0.4.0</version>
  <packaging>aar</packaging>
  <name>devicemarketingnames</name>
  <description>Marketing device name lookup library for Android.</description>
  <url>https://github.com/Boehrsi/DeviceMarketingNames</url>
  <licenses>
    <license>
      <name>Apache License 2.0</name>
      <url>https://github.com/Boehrsi/DeviceMarketingNames/blob/main/LICENSE.txt</url>
    </license>
  </licenses>
  <developers>
    <developer>
      <id>Boehrsi</id>
      <name>Boehrsi</name>
      <email>devicemarketingnames@boehrsi.de</email>
    </developer>
  </developers>
  <scm>
    <connection>scm:git:github.com/Boehrsi/DeviceMarketingNames.git</connection>
    <developerConnection>scm:git:ssh://github.com/Boehrsi/DeviceMarketingNames.git</developerConnection>
    <url>https://github.com/Boehrsi/DeviceMarketingNames/tree/main</url>
  </scm>
  <dependencies>
    <dependency>
      <groupId>org.jetbrains.kotlin</groupId>
      <artifactId>kotlin-stdlib-jdk8</artifactId>
      <version>1.7.20</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>androidx.core</groupId>
      <artifactId>core-ktx</artifactId>
      <version>1.9.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>androidx.appcompat</groupId>
      <artifactId>appcompat</artifactId>
      <version>1.5.1</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.google.android.material</groupId>
      <artifactId>material</artifactId>
      <version>1.7.0</version>
      <scope>runtime</scope>
    </dependency>
  </dependencies>
</project>